> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a shareable link for a workflow



## OpenAPI

````yaml /openapi/workflows.json post /workflows/links
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/links:
    post:
      tags:
        - Workflows
      summary: Create a shareable link for a workflow
      operationId: workflows.links.create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workflowId:
                  type: string
                  format: uuid
                description:
                  type: string
                  maxLength: 500
                allowedEmails:
                  type: array
                  items:
                    type: string
                    format: email
                expiresAt:
                  type: string
                  format: date-time
                  x-native-type: date
              required:
                - workflowId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  url:
                    type: string
                required:
                  - id
                  - url
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````